---
const { record } = Astro.props;
---

<li class="flex flex-col gap-4 sm:flex-row sm:gap-8">
    <img class="h-min rounded-lg shadow-md sm:w-52" src={record.img} />
    <div class="">
        <h2 class="mb-1 text-xl font-medium text-zinc-200">{record.title}</h2>
        {
            record.type === "game" ? (
                <div class="mb-2 flex space-x-1 text-sm">
                    <span>{(record.playtime / 60).toFixed(1)} hours played</span>
                </div>
            ) : (
                <div class="mb-2 flex space-x-1 text-sm">
                    <span>{record.releaseDate}</span>
                    <span>·</span>
                    <span>
                        {record.playtime < 10
                            ? `${record.playtime} seasons`
                            : `${Math.floor(record.playtime / 60)}h ${record.playtime % 60}m`}
                    </span>
                    <span>·</span>
                    <div class="flex items-center space-x-1">
                        <span>{record.stars}</span>
                        <span>
                            <svg
                                class="h-4 w-4 fill-none stroke-zinc-400"
                                viewBox="0 0 24 24"
                                stroke-width="1.5"
                                stroke-linecap="round"
                                stroke-linejoin="round">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                <path d="M12 17.75l-6.172 3.245l1.179 -6.873l-5 -4.867l6.9 -1l3.086 -6.253l3.086 6.253l6.9 1l-5 4.867l1.179 6.873z" />
                            </svg>
                        </span>
                    </div>
                </div>
            )
        }

        <div>{record.summary}</div>
    </div>
</li>
